共用方式為


Web Apps - Apply Slot Configuration Slot

將目標插槽中的組態設定套用至目前插槽的說明。

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/applySlotConfig?api-version=2025-05-01

URI 參數

名稱 位於 必要 類型 Description
name
path True

string

應用程式的名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

slot
path True

string

部署插槽的名稱。 依預設,此 API 會傳回生產位置。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求本文

名稱 必要 類型 Description
preserveVnet True

boolean

true 在交換期間將虛擬網路保留到插槽;否則, false則 。

targetSlot True

string

交換作業期間的目的地部署插槽。

回應

名稱 類型 Description
200 OK

Azure 作業已順利完成。

Other Status Codes

DefaultErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

定義

名稱 Description
CsmSlotEntity

部署插槽參數。

DefaultErrorResponse

App Service 錯誤回應。

DefaultErrorResponseError

錯誤模型。

DefaultErrorResponseErrorDetailsItem

詳細的錯誤。

CsmSlotEntity

部署插槽參數。

名稱 類型 Description
preserveVnet

boolean

true 在交換期間將虛擬網路保留到插槽;否則, false則 。

targetSlot

string

交換作業期間的目的地部署插槽。

DefaultErrorResponse

App Service 錯誤回應。

名稱 類型 Description
error

DefaultErrorResponseError

錯誤模型。

DefaultErrorResponseError

錯誤模型。

名稱 類型 Description
code

string

標準化字串,以程式設計方式識別錯誤。

details

DefaultErrorResponseErrorDetailsItem[]

詳細的錯誤。

innererror

string

偵錯錯誤的詳細資訊。

message

string

詳細的錯誤描述和偵錯資訊。

target

string

詳細的錯誤描述和偵錯資訊。

DefaultErrorResponseErrorDetailsItem

詳細的錯誤。

名稱 類型 Description
code

string

標準化字串,以程式設計方式識別錯誤。

message

string

詳細的錯誤描述和偵錯資訊。

target

string

詳細的錯誤描述和偵錯資訊。